org.apache.ignite.ml.dataset.primitive.builder.data

## Class SimpleLabeledDatasetDataBuilder<K,V,C extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.dataset.primitive.builder.data.SimpleLabeledDatasetDataBuilder<K,V,C>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
    `C` - type of a partition `context`.
  All Implemented Interfaces:
    Serializable, PartitionDataBuilder<K,V,C,SimpleLabeledDatasetData>

      public class SimpleLabeledDatasetDataBuilder<K,V,C extends Serializable>
      extends Object
      implements PartitionDataBuilder<K,V,C,SimpleLabeledDatasetData>

  A partition `data` builder that makes `SimpleLabeledDatasetData`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLabeledDatasetDataBuilder(Preprocessor<K,V> vectorizer)` Constructs a new instance of partition `data` builder that makes `SimpleLabeledDatasetData`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleLabeledDatasetData` | `build(LearningEnvironment env, Iterator<UpstreamEntry<K,V>> upstreamData, long upstreamDataSize, C ctx)` Builds a new partition `data` from a partition `upstream` data and partition `context`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.PartitionDataBuilder

      `andThen, build`

- - ### Constructor Detail

    - #### SimpleLabeledDatasetDataBuilder

          public SimpleLabeledDatasetDataBuilder(Preprocessor<K,V> vectorizer)

      Constructs a new instance of partition `data` builder that makes `SimpleLabeledDatasetData`.
      Parameters:
        `vectorizer` - Function that extracts labeled vectors from an `upstream` data.

  - ### Method Detail

    - #### build

          public SimpleLabeledDatasetData build(LearningEnvironment env,
                                                Iterator<UpstreamEntry<K,V>> upstreamData,
                                                long upstreamDataSize,
                                                C ctx)

      Builds a new partition `data` from a partition `upstream` data and partition `context`. Important: there is no guarantee that there will be no more than one UpstreamEntry with given key, UpstreamEntry should be thought rather as a container saving all data from upstream, but omitting uniqueness constraint. This constraint is omitted to allow upstream data transformers in `DatasetBuilder` replicating entries. For example it can be useful for bootstrapping.
      Specified by:
        `build` in interface `PartitionDataBuilder<K,V,C extends Serializable,SimpleLabeledDatasetData>`
      Parameters:
        `env` - Learning environment.
        `upstreamData` - Partition `upstream` data.
        `upstreamDataSize` - Partition `upstream` data size.
        `ctx` - Partition `context`.
      Returns:
        Partition `data`.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022